Magento Forum

   
Page 1 of 3
Magento Connect 2.0 - Connection Error try again later
 
Blitz Sport
Jr. Member
 
Total Posts:  22
Joined:  2009-09-08
 

Is anyone else having problems installing new addons using the new Magento Connect version (2.0)? I just installed the latest version, went to install my language packs using the new url\’s and i get \"Connection Error try again later.\” I tried all yesterday and today and still get the same problem. This is an example addon:

http://connect20.magentocommerce.com/community/Locale_Mage_Core_fr_FR

 
Magento Community Magento Community
Magento Community
Magento Community
 
Rhonda_Rondeau
Enthusiast
 
Total Posts:  924
Joined:  2010-08-03
Culver City
 

1.5?

Fresh install or upgrade?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Blitz Sport
Jr. Member
 
Total Posts:  22
Joined:  2009-09-08
 

I tried using a clean of version 1.5 and 1.5.0.1 with the same result on both.

 
Magento Community Magento Community
Magento Community
Magento Community
 
SNM_Portal
Member
 
Avatar
Total Posts:  47
Joined:  2008-06-30
 

http://connect20.magentocommerce.com/community/Locale_Mage_Core_fr_FR/1.0.18800/Locale_Mage_Core_fr_FR-1.0.18800.tgz

-------------------
The 1.5.0.1 Downloader has some bugs.
Depends packages can not be properly installed.

A hotfix, I have applied to. Attention only to the test.
The site is in German, but their use the translators (on top of the page).

Mini fix :

downloader-fix-magento-1.5.0.1.zip

Website (german)
magento-1-5-0-1-stable-downloader-was-soll-das-88-article

 
Magento Community Magento Community
Magento Community
Magento Community
 
Rhonda_Rondeau
Enthusiast
 
Total Posts:  924
Joined:  2010-08-03
Culver City
 

Hey guys, if you’re on 1.5 you’ll need to get the 2.0 extensions.. are you having a problem with those??

Thanks

 
Magento Community Magento Community
Magento Community
Magento Community
 
Blitz Sport
Jr. Member
 
Total Posts:  22
Joined:  2009-09-08
 
rondata - 15 February 2011 06:16 AM

Hey guys, if you’re on 1.5 you’ll need to get the 2.0 extensions.. are you having a problem with those??

Thanks

Yep, used the 2.0 extension straight from the “Get Extension Key” section.

 
Magento Community Magento Community
Magento Community
Magento Community
 
SNM_Portal
Member
 
Avatar
Total Posts:  47
Joined:  2008-06-30
 

The problem is dependent packages.

Example installation of the package market_ready_germany:
--------------------------
Response:
1. Checking dependencies of packages
2. Package community/Locale_Mage_community_de_DE failed: Version for \\\\\\\’Locale_Mage_community_de_DE\\\\\\\’ was not detected
3. Package community/Mage_Payone failed: Version for \\\\\\\’Mage_Payone\\\\\\\’ was not detected
4. Package community/BankPayment failed: Version for \\\\\\\’BankPayment\\\\\\\’ was not detected
5. Package community/symmetrics_trustedrating failed: Version for \\\\\\\’symmetrics_trustedrating\\\\\\\’ was not detected
6. Package community/TechDivision_Germany failed: Version for \\\\\\\’TechDivision_Germany\\\\\\\’ was not detected
7. Package community/symmetrics_cashticket failed: Version for \\\\\\\’symmetrics_cashticket\\\\\\\’ was not detected
8. Package community/Mage_Econda failed: Version for \\\\\\\’Mage_Econda\\\\\\\’ was not detected
9. Starting to download market_ready_germany-2.0.7.tgz ...
10. ...done: 1,357,658 bytes
11. Installing package community/market_ready_germany 2.0.7
12. Package community/market_ready_germany 2.0.7 installed successfully
13. Package installed:
14. community market_ready_germany 2.0.7
-------------------------------
All Dependencies failed (was not detected)
But the package is installed! NOGO!

This is a bug see above downloader-fix-magento-1.5.0.1.zip

 
Magento Community Magento Community
Magento Community
Magento Community
 
Blitz Sport
Jr. Member
 
Total Posts:  22
Joined:  2009-09-08
 

SNM, you are actually getting a response from the downloader though by the looks of it? When i try, nothing appears in the PEAL dialog box, instead i get a red statement with the connection error.

 
Magento Community Magento Community
Magento Community
Magento Community
 
SNM_Portal
Member
 
Avatar
Total Posts:  47
Joined:  2008-06-30
 

I have test the package on my local server
error -> community/Locale_Mage_Core_fr_FR: Version for ‘Locale_Mage_Core_fr_FR’ was not detected

Set the ‘Preferred State’ under Setting set to beta and install and is workt

Attention by dependencies of packages!

 
Magento Community Magento Community
Magento Community
Magento Community
 
sduarte
Jr. Member
 
Total Posts:  29
Joined:  2011-01-05
 

Ok so should I go for the betas then? ... I don’t like that ... why should we go for that one when there’s a stable version =/ also I’m getting the same red banner result

community/XXXXX Version for 'community/XXXXXX' was not detected.

 
Magento Community Magento Community
Magento Community
Magento Community
 
veracious
Sr. Member
 
Total Posts:  114
Joined:  2010-09-19
 

deleted

 
Magento Community Magento Community
Magento Community
Magento Community
 
veracious
Sr. Member
 
Total Posts:  114
Joined:  2010-09-19
 

OK incase your German is a little rusty or you don’t like to read HERE IS THE FIX:

1) Download the downloader-fix-magento-1.5.0.1.zip
2) Install by replacing those 2 files in your download directory.  just extract contents and then copy the download folder to where your download folder is on your site and say yes when asked if you want to replace both of those files.
3) Open magento connect, go to the settings tab and set Preferred State: to Beta

@Sduart and others concerned: you are not using betas so there is no reason fret.  This just enables the fix to work.  As far as I understand the beta option in MC just allows you from installing betas which would otherwise be blocked.  As long as you are using an extension key for a stable extension then you should have no worries!

File Attachments
downloader-fix-magento-1.5.0.1.zip  (File Size: 10KB - Downloads: 4)
 
Magento Community Magento Community
Magento Community
Magento Community
 
Adam Moss
Sr. Member
 
Avatar
Total Posts:  248
Joined:  2009-02-11
Birmingham, UK
 

Veracious, the zip file you linked to is currently going to a blank page for me…

 
Magento Community Magento Community
Magento Community
Magento Community
 
veracious
Sr. Member
 
Total Posts:  114
Joined:  2010-09-19
 

Sorry about that Mage Fox.  Magento’s forums acting up.  I can’t even upload files to their forum right now.  It can be downloaded from SNM-Portal who has a link above. I just reposted it so that it was easier for people to find and so you would know how to use it.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Rhonda_Rondeau
Enthusiast
 
Total Posts:  924
Joined:  2010-08-03
Culver City
 
sduarte - 16 February 2011 11:29 AM

Ok so should I go for the betas then? ... I don’t like that ... why should we go for that one when there’s a stable version =/ also I’m getting the same red banner result

community/XXXXX Version for 'community/XXXXXX' was not detected.

This is stability settings. Change them on magento connect to “beta” and you should install fine.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Rhonda_Rondeau
Enthusiast
 
Total Posts:  924
Joined:  2010-08-03
Culver City
 

Just FYI we are still troubleshooting this problem but have found that a work around posted here in the forums works as well.  Remove the http:// from 2.0 extension keys.  This has been tested on a few folks that have this problem and it has worked for them.

Just to be clear, this is for the “Connection Error, try again later” error discussed in this thread.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
    Back to top
Page 1 of 3